10 Replies Latest reply: Feb 18, 2013 10:31 AM by Pizza98704
dpgerson Level 1 Level 1 (0 points)

i want to install the Facebook app on my IPOD touch. It says i need IOS 4.3. I am at IOS 3.1.3. Itunes says this is the current version when I chekc for a software update. Am I out of luck? Will my old IPOD touch not goto a higher release?